<?php
include_once(plugin_dir_path(__DIR__) . 'class.assofacile-rules.php');
global $post;
$link = get_permalink($post->ID, false);
$rules = AssoFacileRules::get_instance();
if ($_GET["areapersonale"]) {
  $areapersonale = $_GET["areapersonale"];
}
?>
<div class="tab-profile logout_t">
  <input type="hidden" name="retrievedToken" id="retrievedToken" value="<?php echo $_COOKIE['assofacile_api_token']; ?>">
  <input type="hidden" name="idasso" id="idasso" value="<?php echo get_option('assofacile_assoc_id'); ?>">
  <input type="hidden" name="areapersonale" id="areapersonale" value="<?php echo $areapersonale; ?>">
  <h5 class="text-center">Sto tornando al tutore...</h5>
  <div class="">
    <div class="progress" id="waitFor" style="display: none;">
      <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%;">
        <span>Loading...</span>
      </div>
    </div>
    <div class="form-group nascosto" id="div_errore">
      <small class="text-danger" id="msg_errore"></small>
    </div>
    <div class="form-group nascosto" id="div_successo">
      <small class="text-success" id="msg_successo"></small>
    </div>
    <form class="form rounded border-1 border-primary" id="loginFormTutelati">
    </form>
    <form class="d-none" style="visibility: hidden;" id="finishForm" method="post" action="<?php echo $link."?tab=logout_t&areapersonale=tutore"; ?>" >
      <input type="hidden" name="retrievedToken3" id="retrievedToken3" value="<?php echo $_COOKIE['assofacile_api_token2']; ?>">
    </form> 
    <div id="tutelati" style="display: none;">
    </div>
  </div>
</div>

<script>
  let div_errore = document.getElementById("div_errore");
  let div_successo = document.getElementById("div_successo");
  let msg_errore = document.getElementById("msg_errore");
  let msg_successo = document.getElementById("msg_successo");
  document.addEventListener("DOMContentLoaded", function() {
    let finishForm = document.getElementById("finishForm");
    let token_tut = '';
    let areapersonale = document.getElementById("areapersonale").value;
    let valore_token = document.getElementById("retrievedToken").value;
    let idassoValue = document.getElementById("idasso").value;
    let waitFor = document.getElementById("waitFor");
    waitFor.style.display = 'block';
    let form = document.getElementById("loginFormTutelati");
    let formData = new FormData(form);
    const now = new Date();
    const date = now.getUTCDate();
    const month = now.getUTCMonth() + 1;
    const token = toFixed((month / 17) * date, 11);
    const token2 = toFixed(((idassoValue / date) * 13.7), 11);
    formData.append('token', token);
    formData.append('token2', token2);
    tabs=['profilo', 'tutelati'];
    let checkbox = document.querySelectorAll("input[type='checkbox']");
    for(let i = 0; i < checkbox.length; i++){
      if(checkbox){
        rimuoviElemento(checkbox[i]);    
      }
    }
    function rimuoviElemento(elemento){
      elemento.parentElement.removeChild(elemento);
    }
    for (const tab of tabs) {
      var nuovo_checkbox = document.createElement('input');
      nuovo_checkbox.setAttribute('type','checkbox');
      nuovo_checkbox.setAttribute('style','display: none;');
      nuovo_checkbox.setAttribute('value',getMappedTab(tab));
      nuovo_checkbox.setAttribute('checked',true);
      nuovo_checkbox.setAttribute('name','tabs[]');
      finishForm.append(nuovo_checkbox);
    }
    finishForm.submit();
    function getMappedTab(tab) {
      if (tab == "calendario") return "calendar";
      if (tab == "quote") return "cards_and_recipts";
      if (tab == "docs") return "documents";
      if (tab == "comunicazioni") return "messaging";
      if (tab == "profilo") return "profile";
      if (tab == "tutelati") return "tutelati";
    }
    if(areapersonale=='tutore'){
      window.location.href = "<?php echo $link."?tab=profile"; ?>";
      return;
    }
});
</script>