<?php
  require_once(plugin_dir_path( __DIR__ ) . 'class.assofacile-reserved-area.php');
   global $post;
  if (!$post) {
    exit('Error');
  }
  if ($_GET["accesso_tutore"]) {
    $accesso_tutore = $_GET["accesso_tutore"];
  }
  /**
   * return nome classi
   */
  function get_classes($selected_tab) {
    global $tab;
    $classes = "";
    // classe active alla tab corrente
    if (!strcmp($selected_tab, $tab)) {
      $classes = "active";
    }
    // classe warning alla tab corrente
    if (!strcmp($selected_tab, "logout")) {
      $classes .= " text-warning";
    } else {
      $classes .= " text-light";
    }
    return $classes;
  }
  function get_link_title($tab) {
    $text = "";
    switch ($tab) {
      case "calendar":
        $text = "Calendar";
        break;
      case "profile":
        $text = "Profile";
        break;
      case "messaging":
        $text = "Messaging";
        break;
      case "documents":
        $text = "Documents";
        break;
      case "register":
        $text = "Register";
        break;
      case "login":
        $text = "Login";
        break;
      case "logout":
        $text = "Logout";
        break;
      case "cards_and_recipts":
        $text = "Cards and Receipts";
        break;
      case "profilo_tutore":
        $text = "I tuoi dati";
        break;
      case "tutelati":
        $text = "I tuoi tutelati";
        break;
        case "logout_t":
          $text = "Torna al tutore";
          break;  
      default:
        break;
    }
    return __($text, "assofacile");
  }
  function get_tab_link($tab) {
    global $post;
    if ($tab == "calendar")
      return get_permalink(get_option('assofacile_calendar_page'));
    return get_permalink($post->ID, false) . "?tab=$tab#assofacile_sct";
  }
  /**
   * mostra pagina in base alla tab selezionata
   */
  function get_tab_page() {
    global $tab;
    return include_once(plugin_dir_path( __FILE__ ) . "tab-$tab.php");
  }
  /**
   * assofacile menu
   */
  function get_assofacile_menu() {
    global $tab;
    global $post;
    global $accesso_tutore;
    $tabs = AssoFacileReservedArea::get_tabs();
    $tabs = array_diff($tabs, array("login", "register"));
    if (!strcmp($tab, "login") || !strcmp($tab, "register"))
      return;
    ?>
    <div class="col-sm-3">
      <div class="sidebar-nav">
        <div class="navbar navbar-default" role="navigation">
          <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".sidebar-navbar-collapse">
              <span class="sr-only">navigazione</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <span class="visible-xs navbar-brand"><?php _e('Menu', 'assofacile'); ?></span>
          </div>
          <div class="navbar-collapse collapse sidebar-navbar-collapse">
            <ul class="nav navbar-nav">
              <?php
              foreach ($tabs as $t) {
                ?>
                  <li class="<?php echo get_classes($t) ?>">
                    <a href="<?php echo get_tab_link($t)  ?>">
                      <?php echo get_link_title($t); ?>
                    </a>
                  </li>
                <?php
              }
            ?>
            </ul>
          </div><!--/.nav-collapse -->
        </div>
      </div>
    </div>
    <?php
  }
?>
<div class="assofacile-box bootstrap-iso" id="assofacile_sct">
  <div class="row">
    <?php get_assofacile_menu() ?>
    <div class="col-sm-9">
      <?php get_tab_page() ?>
    </div>
  </div>
</div>