<?php
include_once(plugin_dir_path(__DIR__) . 'class.assofacile-rules.php');
global $post;
$link = get_permalink($post->ID, false);
$rules = AssoFacileRules::get_instance();
if ($_GET["tutorato"]) {
  $tutorato = $_GET["tutorato"];
}
if ($_GET["areapersonale"]) {
  $areapersonale = $_GET["areapersonale"];
}
?>

<div class="tab-profile tutelati">
  <input type="hidden" name="retrievedToken" id="retrievedToken" value="<?php echo $_COOKIE['assofacile_api_token']; ?>">
    <input type="hidden" name="idasso" id="idasso" value="<?php echo get_option('assofacile_assoc_id'); ?>">
  <input type="hidden" name="tutorato" id="tutorato" value="<?php echo $tutorato ; ?>">
  <input type="hidden" name="areapersonale" id="areapersonale" value="<?php echo $areapersonale ; ?>">
  <h3 class="text-center">I tuoi tutelati</h3>
  <div class="">
    <div class="progress" id="waitFor" style="display: none;">
      <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%;">
        <span>Loading...</span>
      </div>
    </div>
    <div class="form-group nascosto" id="div_errore">
      <small class="text-danger" id="msg_errore"></small>
    </div>
    <div class="form-group nascosto" id="div_successo">
      <small class="text-success" id="msg_successo"></small>
    </div>
    <?
      if ($_GET["tutorato"]) {
    ?>
    <form class="form rounded border-1 border-primary" id="loginFormTutelati">
    <input type="hidden" name="idasso" value="<?php echo get_option('assofacile_assoc_id'); ?>">
    </form>
    <?
      }
    ?>
    <form class="d-none" style="visibility: hidden;" id="finishForm" method="post" action="<?php echo $link. "?tab=tutelati&tutorato=". $tutorato; ?>&areapersonale=tutelato" >
      <input type="hidden" name="retrievedToken2" id="retrievedToken2" value="">
      <input type="hidden" name="tokenLgn" id="tokenLgn" value="">
    </form> 
    <div id="tutelati" style="display: none;">
    </div>
  </div>
</div>

<script>
document.addEventListener("DOMContentLoaded", function() {
   let tutorato = document.getElementById("tutorato").value;
   let areapersonale = document.getElementById("areapersonale").value;
   let finishForm = document.getElementById("finishForm");
   let tutelati = document.getElementById("tutelati");
   let retrievedToken = document.getElementById("retrievedToken");
   let waitFor = document.getElementById("waitFor");
   waitFor.style.display = 'block';
   const formData = new FormData();
   const now = new Date();
   const date = now.getUTCDate();
   const month = now.getUTCMonth() + 1;
   let valore_token = document.getElementById("retrievedToken").value;
   let idassoValue = document.getElementById("idasso").value;
   const token = toFixed((month / 17) * date, 11);
   const token2 = toFixed(((idassoValue / date) * 13.7), 11);
   formData.append('token_lgn', valore_token);
   formData.append('idasso', idassoValue);
   formData.append('token', token);
   formData.append('token2', token2);
   fetch('<?php echo $rules->get_api_endpoints_for("tutelati") ?>', {
    method: 'post',
    mode: 'cors',
    body: formData
   }).then((res) => {
      if (res.status != 200) throw 0;
      return res.text();
    }).then((res) => {
      let parts = res.split('|');
      if (parts[0] == 'errore') {
        throw {
          thrown: true,
          error: parts[1]
        }
      }
      return JSON.parse(res);
    }).then((res) => {
        return res[0];
    }).then(async (res) => {
      let fieldset = document.createElement('fieldset');   
      let link_tutel = "<?php echo $link; ?>?tab=tutelati";
      let i=1;
        for (const singolo_tutelato of res.tutelati) {
          let p = document.createElement('p');
          p.setAttribute('class', 'elenchi_risultati');
          let a = document.createElement('a');
          a.setAttribute('href', link_tutel+"&tutorato="+singolo_tutelato.idtutelato);
          a.setAttribute('id', 'tutelato'+singolo_tutelato.idtutelato);
          a.setAttribute('style', 'color: black !important; text-decoration: none !important;');
          a.addEventListener("mouseover", (event) => {
            cambiaColore('tutelato'+singolo_tutelato.idtutelato)
          });
          a.addEventListener("mouseout", (event) => {
            togliColore('tutelato'+singolo_tutelato.idtutelato)
          });
          a.setAttribute('title', 'Area Riservata di ' + singolo_tutelato.nome_tutelato);
          a.innerText = i++ + ") " + singolo_tutelato.nome_tutelato;
          p.append(a);
          fieldset.append(p);
          function cambiaColore(idElemento){
            idEl = document.getElementById(idElemento);
            idEl.style.setProperty("color", "blue", "important")
          }
          function togliColore(idElemento){
            idEl = document.getElementById(idElemento);
            idEl.style.setProperty("color", "black", "important")
          }
        }
      tutelati.append(fieldset);  
      tutelati.style.display = 'block';
     
      if (tutorato!='') {
        let retrievedToken = document.getElementById("retrievedToken");
        let retrievedToken2 = document.getElementById("retrievedToken2");
        let tokenLgn = document.getElementById("tokenLgn");
        
        let form = document.getElementById("loginFormTutelati");
        let formData = new FormData(form);
        const now = new Date();
        const date = now.getUTCDate();
        const month = now.getUTCMonth() + 1;
        const idassoValue = document.getElementById("idasso").value;
        const token = toFixed((month / 17) * date, 11);
        const token2 = toFixed(((idassoValue / date) * 13.7), 11);
        formData.append('token', token);
        formData.append('token2', token2);
        formData.append('tutorato', tutorato);
        fetch('<?php echo $rules->get_api_endpoints_for("login_tut") ?>', {
        method: 'post',
        body: formData,
        mode: 'cors'
        }).then((res) => {
          if (res.status != 200) throw 0;
          return res.text();
        }).then((res) => {
          const parts = res.split('|');
          if (parts[0] != 'ok') {
            throw {
              thrown: true,
              error: parts[1]
            }
          }
        retrievedToken.value=parts[1];
        retrievedToken2.value=parts[1];
        let tkn_tut = retrievedToken.value;
        tokenLgn.value=parts[1];
        tabs = parts[3].split(',');
        let checkbox = document.querySelectorAll("input[type='checkbox']");
        for(let i = 0; i < checkbox.length; i++){
          if(checkbox){
            rimuoviElemento(checkbox[i]);    
          }
        }
        function rimuoviElemento(elemento){
          elemento.parentElement.removeChild(elemento);
        }
        for (const tab of tabs) {
          var nuovo_checkbox = document.createElement('input');
          nuovo_checkbox.setAttribute('type','checkbox');
          nuovo_checkbox.setAttribute('style','display: none;');
          nuovo_checkbox.setAttribute('value',getMappedTab(tab));
          nuovo_checkbox.setAttribute('checked',true);
          nuovo_checkbox.setAttribute('name','tabs[]');
          finishForm.append(nuovo_checkbox);
        }
        finishForm.submit();
        function getMappedTab(tab) {
          if (tab == "calendario") return "calendar";
          if (tab == "quote") return "cards_and_recipts";
          if (tab == "docs") return "documents";
          if (tab == "comunicazioni") return "messaging";
          if (tab == "profilo") return "profile";
          if (tab == "tutelati") return "tutelati";
          if (tab == "logout_t") return "logout_t";
        }
        if(areapersonale=='tutelato'){
          window.location.href = "<?php echo $link."?tab=profile&tkn_tut="; ?>"+  tkn_tut;
          return;
        }
        }).catch(error => {
          console.log(error)
          let errore = '';
          if (error.thrown) {
            errore = error.error;
          } else {
            errore = "Qualcosa è andato storto!";
          }
          msg_errore.innerHTML=errore;
          if (div_errore.classList.contains("nascosto")) {
            div_errore.classList.remove("nascosto");
          } else {
            div_errore.classList.add("visibilita");
          }
        });
      }
  }).catch(error => {
      console.log(error);
      let errore = '';
      if (!error.thrown) {
        errore = "Qualcosa è andato storto!";
      } else {
        if (
          error.error == 'Token di login scaduto' ||
          error.error == 'Token di login inesistente' ||
          token_lgn == ""
        ) {
          window.location.href = "<?php echo $link; ?>?redirect_url=<?php echo $link . '?tab=profile'; ?>";
          return;
        }
        errore = error.error;
      }
      msg_errore.innerHTML=errore;
      if (div_errore.classList.contains("nascosto")) {
          div_errore.classList.remove("nascosto");
          div_errore.classList.add("visibilita");
      }
    }).finally(() => {
      waitFor.style.display = 'none';
    });
});
</script>